GEOS: geos::geom::CoordinateList Class Reference

GEOS 3.5.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
geos::geom::CoordinateList Class Reference

A list of Coordinates, which may be set to prevent repeated coordinates from occuring in the list. More...

`#include <CoordinateList.h>`

## Public Types
typedef std::list< Coordinate >::iterator | iterator
typedef std::list< Coordinate >::const_iterator | const_iterator
typedef std::list< Coordinate >::size_type | size_type

## Public Member Functions
| CoordinateList (const std::vector< Coordinate > &v)
| Constructs a new list from an array of Coordinates, allowing repeated points. More...
size_type | size () const
bool | empty () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
iterator | insert (iterator pos, const Coordinate &c, bool allowRepeated)
| Inserts the specified coordinate at the specified position in this list. More...
iterator | insert (iterator pos, const Coordinate &c)
iterator | erase (iterator pos)
iterator | erase (iterator first, iterator last)
std::auto_ptr< Coordinate::Vect > | toCoordinateArray () const
void | closeRing ()

## Friends
std::ostream & | operator<< (std::ostream &os, const CoordinateList &cl)

## Detailed Description

A list of Coordinates, which may be set to prevent repeated coordinates from occuring in the list.

Use this class when fast insertions and removal at arbitrary position is needed. The class keeps ownership of the Coordinates.

## Constructor & Destructor Documentation

geos::geom::CoordinateList::CoordinateList | ( | const std::vector< Coordinate > & | v | ) |
| inline

Constructs a new list from an array of Coordinates, allowing repeated points.

(I.e. this constructor produces a CoordinateList with exactly the same set of points as the input array.)

Parameters

  v | the initial coordinates

## Member Function Documentation

iterator geos::geom::CoordinateList::insert | ( | iterator | pos,
|  | const Coordinate & | c,
|  | bool | allowRepeated
| ) |  |
| inline

Inserts the specified coordinate at the specified position in this list.

Parameters

  pos | the position at which to insert
  coord | the coordinate to insert
  allowRepeated | if set to false, repeated coordinates are collapsed

Returns
  an iterator to the newly installed coordinate (or previous, if equal and repeated are not allowed)

NOTE: when allowRepeated is false next point is not checked this matches JTS behavior

References geos::geom::operator<<().

The documentation for this class was generated from the following file:

- CoordinateList.h